header

Description

This mod implements ViaVersion on Fabric servers and clients, allowing you to connect to different Minecraft versions.

It can be installed on Legacy Fabric 1.8.9, and Fabric 1.14.4-1.20.1.

Requires Fabric API for Minecraft 1.14+.

Requires Legacy Fabric API for Minecraft 1.8.9

For more information, go to GitHub repository.

Addons (allows older clients on newer servers):

What's is the difference between ViaFabric and ViaFabricPlus?

Differences with ViaFabricPlus

ViaFabric ViaFabricPlus
Can be installed on Multiple client/server versions with fabric Latest client-side version with fabric
Objectives Simply implement ViaVersion Implements ViaVersion with client-side fixes to version changes
How does it work? Modifying packets at network code Modifying client code more deeply
Triggering anti-cheats Very likely Mostly not

Forge version: https://www.curseforge.com/minecraft/mc-mods/viaforge

Discord: https://discord.gg/viaversion